public inbox for gcc-cvs@sourceware.org
help / color / mirror / Atom feed
From: Eugene Rozenfeld <erozen@gcc.gnu.org>
To: gcc-cvs@gcc.gnu.org
Subject: [gcc(refs/vendors/microsoft/heads/main)] Add error checking to checkout-refs-error-checking.sh.
Date: Fri, 29 Jul 2022 22:38:42 +0000 (GMT)	[thread overview]
Message-ID: <20220729223842.6E494384D169@sourceware.org> (raw)

https://gcc.gnu.org/g:92f7dead8e3a6c208ed1e9b002a80634e2ed021c

commit 92f7dead8e3a6c208ed1e9b002a80634e2ed021c
Author: Eugene Rozenfeld <erozen@microsoft.com>
Date:   Fri Jul 29 15:07:53 2022 -0700

    Add error checking to checkout-refs-error-checking.sh.

Diff:
---
 .github/scripts/checkout-refs.sh | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

diff --git a/.github/scripts/checkout-refs.sh b/.github/scripts/checkout-refs.sh
index 6a183bea770..bdbdf829e40 100755
--- a/.github/scripts/checkout-refs.sh
+++ b/.github/scripts/checkout-refs.sh
@@ -24,5 +24,19 @@
 # SOFTWARE.
 
 git checkout $1 -f
+exit_code=$?
+if [ $exit_code != 0 ]; then
+    exit $exit_code
+fi
+
 git fetch origin +refs/pull/*:refs/remotes/origin/refs/pull/*
-git checkout $2 -- .github/
\ No newline at end of file
+exit_code=$?
+if [ $exit_code != 0 ]; then
+    exit $exit_code
+fi
+
+git checkout $2 -- .github/
+exit_code=$?
+if [ $exit_code != 0 ]; then
+    exit $exit_code
+fi
\ No newline at end of file


                 reply	other threads:[~2022-07-29 22:38 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220729223842.6E494384D169@sourceware.org \
    --to=erozen@gcc.gnu.org \
    --cc=gcc-cvs@gcc.gnu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).